/*!
 * (C) Emu Analytics
 */
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-df077c2f.js');
const flowCoreContext = require('./flow-core-context-dfd7f141.js');
const contextRegistry = require('./context-registry-3efcab40.js');
require('./debug-c8117edd.js');

const FlowContext = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.flowContextInitialized = index.createEvent(this, "flowContextInitialized", 7);
    /**
     * The Flo.w context ID. Specify to use multiple contexts.
     */
    this.contextId = 'default';
  }
  componentWillLoad() {
    const config = flowCoreContext.removeUndefined({
      id: this.contextId,
      apiKey: this.apiKey,
      host: this.host
    });
    this.context = contextRegistry.globalContextRegistry.initializeContext(config);
    this.flowContextInitialized.emit(this.context);
  }
  render() {
    return (index.h(index.Host, null, index.h("slot", null)));
  }
};

exports.flow_context = FlowContext;
