/*!
 * (C) Emu Analytics
 */
import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { A as AncestorElement } from './component.utils.js';
import { r as randomId } from './random-id.js';
import { E as debugLifecycle, F as formatEl } from './debug.js';
import { F as FlowCoreParameter } from './flow-core-parameter.js';

var __decorate = (undefined && undefined.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function")
    r = Reflect.decorate(decorators, target, key, desc);
  else
    for (var i = decorators.length - 1; i >= 0; i--)
      if (d = decorators[i])
        r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
const FlowMapParameter$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    /**
     * Set to `true` to disable data joining if this parameter is `null`.
     */
    this.required = false;
  }
  async componentWillLoad() {
    if (!this.el.id) {
      this.el.setAttribute('id', randomId('parameter'));
    }
    debugLifecycle(`${formatEl(this.el)} will load`);
    await this.flowMap._map.initializeContext();
    this._parameter = new FlowCoreParameter(this.name, this.flowMap._map, this.required);
    this.setValue(this.value);
  }
  setValue(value) {
    this._parameter.setValue(value);
  }
  async componentDidLoad() {
    debugLifecycle(`${formatEl(this.el)} did load`);
  }
  async disconnectedCallback() {
    debugLifecycle(`${formatEl(this.el)} did unload`);
  }
  render() {
    return h(Host, null);
  }
  get el() { return this; }
  static get watchers() { return {
    "value": ["setValue"]
  }; }
}, [0, "flow-map-parameter", {
    "_parameter": [1040],
    "name": [1],
    "value": [1],
    "required": [4]
  }]);
__decorate([
  AncestorElement({ supportAttr: false })
], FlowMapParameter$1.prototype, "flowMap", void 0);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["flow-map-parameter"];
  components.forEach(tagName => { switch (tagName) {
    case "flow-map-parameter":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, FlowMapParameter$1);
      }
      break;
  } });
}

const FlowMapParameter = FlowMapParameter$1;
const defineCustomElement = defineCustomElement$1;

export { FlowMapParameter, defineCustomElement };
