/*!
 * (C) Emu Analytics
 */
export { setAssetPath, setPlatformOptions } from '@stencil/core/internal/client';
import { g as globalContextRegistry, F as FlowCoreContext } from './context-registry.js';
export { C as ContextRegistry, D as DEFAULT_CONTEXT_ID, c as FLOW_CONTEXT_ATTR, b as FLOW_CONTEXT_TAG, F as FlowCoreContext, a as FlowQuery, S as StateStore, g as globalContextRegistry } from './context-registry.js';
export { F as FlowCoreMap, a as FlowCoreMapPopup } from './flow-core-map.js';
export { F as FlowCoreDataSource } from './flow-core-data-source.js';
export { F as FlowCoreParameter } from './flow-core-parameter.js';
export { F as FlowCoreMapLayer } from './flow-core-map-layer.js';

/**
 * A global instance of [ContextRegistry].
 *
 *
 * This should be client code as the entry point to the Flo.w RDF JavaScript API.
 */
const flow = globalContextRegistry;

const version = "2.1.59";

function globalInit() {
  console.log(`Flo.w RDF initialized (version ${version})`);
  const context = new FlowCoreContext('', '', '');
  context.state.get('abbrTime');
  context.state.compute('abbrTime', state => {
    return state.time + 'f';
  });
}

const globalScripts = globalInit;

globalScripts();

export { flow };
