/*!
 * (C) Emu Analytics
 */
import { r as registerInstance, c as createEvent, h, a as Host } from './index-2515758d.js';
import { r as removeUndefined } from './flow-core-context-0d13e6a7.js';
import { g as globalContextRegistry } from './context-registry-bd8203e8.js';
import './debug-94b76ec6.js';

const FlowContext = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.flowContextInitialized = createEvent(this, "flowContextInitialized", 7);
    /**
     * The Flo.w context ID. Specify to use multiple contexts.
     */
    this.contextId = 'default';
  }
  componentWillLoad() {
    const config = removeUndefined({
      id: this.contextId,
      apiKey: this.apiKey,
      host: this.host
    });
    this.context = globalContextRegistry.initializeContext(config);
    this.flowContextInitialized.emit(this.context);
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
};

export { FlowContext as flow_context };
