import { HTMLStencilElement } from '../../../stencil-public-runtime';
import { FlowCoreChartData } from '../../../core/charts/flow-core-chart-data';
/**
 * @status stable
 */
export declare class FlowChartData {
  el: HTMLStencilElement;
  flowChart: HTMLFlowChartElement;
  /** @internal */
  _chartData: FlowCoreChartData;
  /**
   * The data to bind to the chart.
   *
   * A reactive expression or an array of data objects.
   *
   * @reactive
   */
  data: string | Array<Record<string, any>>;
  /**
   * The named chart data to bind.
   */
  name: string;
  /**
   * The data 'x' property (optional).
   */
  x: string;
  /**
   * The data 'y' property (optional).
   */
  y: string;
  componentWillLoad(): Promise<void>;
  componentDidLoad(): void;
  disconnectedCallback(): void;
  private subscribe;
  render(): any;
}
