import { HTMLStencilElement } from '../../../stencil-public-runtime';
import { FlowCoreChartSignal } from '../../../core/charts/flow-core-chart-signal';
/**
 * @status stable
 */
export declare class FlowChartSignal {
  el: HTMLStencilElement;
  flowChart: HTMLFlowChartElement;
  /** @internal */
  _chartSignal: FlowCoreChartSignal;
  /**
   * The name of the Vega signal to bind.
   */
  name: string;
  /**
   * The Flo.w reactive expression to bind to the signal.
   *
   * @reactive
   */
  value: string;
  componentWillLoad(): void;
  componentDidLoad(): void;
  disconnectedCallback(): void;
  private subscribe;
  render(): any;
}
